const nodemailer = require('nodemailer')
const openpgp = require('openpgp')
var directTransport = require('nodemailer-direct-transport');
var transporter = nodemailer.createTransport(directTransport())
const { utils: { generateKeyPair, generateKeyPairSync } } = require('ssh2');
// transporter.sendMail({
//     to:"neon@saahild.com",
//     from: "neon@localhost",
//     html: "hello world"
// })

;(async () => {
// create this sessions PGP key
const { privateKey, publicKey } = await openpgp.generateKey({
    type: 'rsa', // Type of the key
    rsaBits: 2048, // RSA key size (defaults to 4096 bits)
    userIDs: [{ name: 'Server', email: 'neon+pgp_server__temp@hackclub.app' }], // you can pass multiple user IDs
format: 'object',
    passphrase: 'super long and hard to guess secret' // protects the private key
});
function sendMail(key) {
    const usersSSHKey =  generateKeyPairSync('rsa', { bits: 2048, comment: 'Priv key for nest pgp chat - GPG FINGERPRINT: '+ key.getFingerprint() });
transporter.sendMail({
 from: publicKey.users[0].userID.email,
 to: key.users[0].userID.email,
//  html: await 
})
}
const clientKey = await openpgp.readKey({ armoredKey: require('fs').readSync('./key.asc').toString() })
sendMail(clientKey)
})()